createWorkbook {openxlsx} | R Documentation

## Create a new Workbook object

### Description

Create a new Workbook object

### Usage

    createWorkbook(creator = ifelse(.Platform$OS.type == "windows",
      Sys.getenv("USERNAME"), Sys.getenv("USER")), title = NULL, subject = NULL,
      category = NULL)

### Arguments

`creator` | Creator of the workbook (your name). Defaults to login username
`title` | Workbook properties title
`subject` | Workbook properties subject
`category` | Workbook properties category

### Value

Workbook object

### Author(s)

Alexander Walker

### See Also

`loadWorkbook`

`saveWorkbook`

### Examples

    ## Create a new workbook
    wb <- createWorkbook()

    ## Save workbook to working directory
    saveWorkbook(wb, file = "createWorkbookExample.xlsx", overwrite = TRUE)

    ## Set Workbook properties
    wb <- createWorkbook(creator = "Me"
    , title = "title here"
    , subject = "this & that"
    , category = "something")

[Package openxlsx version 4.1.0 Index]